import { StateClassNamePrefix, IBaseComponent } from '../typing';
declare abstract class BaseHeadlessComponent<StructuralComponent = IBaseComponent> {
    /**
     * Instance of structural component
     */
    protected readonly sc: StructuralComponent;
    protected getDescendantOfParent(): string;
    constructor(sc: StructuralComponent);
    abstract getComponentName(): string;
    getParentComponentName(): string;
    /**
     * Component's class names which will be scoped
     */
    getClassNames(): string[];
    /**
     * Other class names which won't be scoped
     */
    getExtraClassNames(): string[];
    getDescendantClassName(descendant: string): string;
    getModifierClassName(modifier: string): string;
    getStateClassName(state: string, prefix?: StateClassNamePrefix): string;
}
export { BaseHeadlessComponent };
