import { DirectionType } from './direction';
import { IconOption } from './icon';
declare type ResizeType = DirectionType | 'both' | 'none';
declare type AdjustmentType = 'auto' | 'average';
declare type CheckableValue = string | number | boolean;
declare type ComponentStyle = {
    [key: string]: string;
};
declare type LoadingOption = {
    spinning?: boolean;
    fullscreen?: boolean;
    lock?: boolean;
    text?: string;
    spinner?: IconOption | string;
    background?: string;
};
declare type CommonTrigger = 'hover' | 'click';
declare type TriggerType = CommonTrigger | 'focus';
declare type StateClassNamePrefix = 'is' | 'has' | 'can';
declare type VariantClassName = string | Record<string, boolean>;
declare type ClassName = VariantClassName | VariantClassName[];
export { ResizeType, AdjustmentType, CheckableValue, ComponentStyle, LoadingOption, CommonTrigger, TriggerType, StateClassNamePrefix, VariantClassName, ClassName, };
export * from './basic';
export * from './breakpoint';
export * from './color';
export * from './direction';
export * from './position';
export * from './alignment';
export * from './size';
export * from './status';
export * from './icon';
