import { getComponentConfig, BaseHeadlessComponent } from '../../basic';
class ButtonHeadlessComponent extends BaseHeadlessComponent {
    getComponentName() {
        return getComponentConfig('button', 'name') || 'Button';
    }
    getClassNames() {
        const sc = this.sc;
        const classNames = [
            this.getComponentName(),
            this.getModifierClassName(sc.size),
            this.getModifierClassName(sc.border === 'none' ? 'borderless' : sc.border),
        ];
        if (sc.color) {
            classNames.push(this.getModifierClassName(sc.color));
        }
        if (sc.outlined) {
            classNames.push(this.getModifierClassName('outlined'));
        }
        if (sc.disabled) {
            classNames.push('is-disabled');
        }
        return classNames;
    }
}
export { ButtonHeadlessComponent };
