import { NumberOrString as DialogWidth, MessageStatus as DialogShortcutType, ClassName } from '../../basic';
import { ButtonProps } from '../../button';
declare type DialogButton = string | ButtonProps;
declare type DialogButtonHandler = (...args: any[]) => void;
declare type DialogButtonProps = ButtonProps & {
    handler?: DialogButtonHandler;
};
declare type DialogShortcutButton = string | DialogButtonHandler | DialogButtonProps;
declare type DialogShortcutOptions = {
    className?: ClassName;
    type?: DialogShortcutType;
    title?: string;
    content?: string;
    closable?: boolean;
    lazy?: boolean;
    centered?: boolean;
    affirmButton?: DialogShortcutButton;
    denyButton?: DialogShortcutButton;
    render?: (...args: any[]) => any;
};
declare type DialogShortcutCallback = (options: DialogShortcutOptions) => void;
declare type DialogShortcutMethod = {
    (content: string, options?: DialogShortcutOptions): any;
    (content: string, title: string, options?: DialogShortcutOptions): any;
    (content: string, affirmButtonHandler: DialogButtonHandler, options?: DialogShortcutOptions): any;
    (content: string, affirmButtonHandler: DialogButtonHandler, denyButtonHandler: DialogButtonHandler, options?: DialogShortcutOptions): any;
};
export { DialogWidth, DialogButton, DialogButtonHandler, DialogButtonProps, DialogShortcutButton, DialogShortcutType, DialogShortcutOptions, DialogShortcutCallback, DialogShortcutMethod, };
