import { getComponentConfig, BaseHeadlessComponent } from '../../basic';
import { getTypoClassNames } from '../../typography';
class HeadingHeadlessComponent extends BaseHeadlessComponent {
    getComponentName() {
        return getComponentConfig('heading', 'name') || 'Heading';
    }
    getClassNames() {
        const componentName = this.getComponentName();
        return [
            componentName,
            this.getModifierClassName(`level${this.sc.level}`),
            ...getTypoClassNames(this.sc, componentName, true),
        ];
    }
}
export { HeadingHeadlessComponent };
