import { setComponentConfig, getComponentConfig } from '../../../basic';
function getIconProviders() {
    return getComponentConfig('icon', 'providers') || {};
}
function getIconProvider(providerAlias) {
    return getIconProviders()[providerAlias];
}
function isIconProviderExisted(providerAlias) {
    return Object.prototype.hasOwnProperty.call(getIconProviders(), providerAlias);
}
function registerIconProviders(providers) {
    setComponentConfig('icon', 'providers', Object.assign(Object.assign({}, getIconProviders()), providers));
}
function setDefaultIconProvider(providerAlias) {
    setComponentConfig('icon', 'defaultProvider', providerAlias);
}
function getDefaultIconProvider() {
    return getComponentConfig('icon', 'defaultProvider');
}
export { getIconProviders, getIconProvider, isIconProviderExisted, registerIconProviders, setDefaultIconProvider, getDefaultIconProvider, };
