declare type IconType = 'font' | 'svg';
declare type IconClassNames = string | string[];
declare type IconRef = string;
declare type IconResolver = (ref: string) => IconClassNames | IconRef;
declare type IconProvider = {
    type: IconType;
    urls?: string[];
    resolve?: IconResolver;
};
declare type IconProviders = {
    [key: string]: IconProvider;
};
declare type IconOption = Omit<IconProvider, 'urls'> & {
    provider: string;
    ref: string;
};
export { IconType, IconResolver, IconProvider, IconProviders, IconOption };
