import { NumberOrString } from '../../basic';
declare type TreeNodeKey = NumberOrString;
declare type TreeNodeData = {
    key?: TreeNodeKey;
    label?: string;
    children?: TreeNodeData[];
    selectable?: boolean;
    checkable?: boolean;
    disabled?: boolean;
    checkboxDisabled?: boolean;
    [key: string]: any;
};
declare type TreeNodeId = NumberOrString;
declare type TreeNode = {
    id: TreeNodeId;
    level: number;
    expanded: boolean;
    checked: boolean;
    disabled: boolean;
    indeterminate: boolean;
    children: TreeNode[];
};
declare type TreeNodeRenderer<TreeRenderNode = any> = (data: TreeNodeData, node: TreeNode) => TreeRenderNode;
declare type TreeData = TreeNodeData[];
declare type ConfigurableTreeNodeDataField = {
    key?: string;
    label?: string;
    children?: string;
};
export { TreeNodeKey, TreeNodeData, TreeNodeId, TreeNode, TreeNodeRenderer, TreeData, ConfigurableTreeNodeDataField, };
