const LINE_MODIFIERS = {
    over: 'overline',
    through: 'lineThrough',
    under: 'underline',
};
export function getTypoClassNames(componentInst, componentName, ignoreBoldness = false) {
    const classNames = [];
    if (componentInst.line && componentInst.line !== 'none') {
        classNames.push(`${componentName}--${LINE_MODIFIERS[componentInst.line]}`);
    }
    if (componentInst.color) {
        classNames.push(`${componentName}--${componentInst.color}`);
    }
    if (ignoreBoldness === false && componentInst.bold) {
        classNames.push(`${componentName}--bold`);
    }
    return classNames;
}
export * from './typing';
